
#macro ObjectSizeCout(Object, ObjectName)
	#local ObjectSize = max_extent( Object ) - min_extent( Object );
	
	#debug concat("The size of ", ObjectName, " is : ", vstr(3, ObjectSize, " ,", 4, 8 ), " \n")
#end

#macro ObjectBoundariesCout(Object, ObjectName)
	#local Min = min_extent( Object );
	#local Max = max_extent( Object );
	
	#debug concat( ObjectName, " goes from ", vstr(3, Min, ", ", 4, 4), " to ", vstr(3, Max, ", ", 4, 4), " \n")
#end

#macro WriteValueInFile(Value, ValueName, FileName)
	#ifdef( Debug )
		#debug concat( "Opening ", FileName, " file to write ", ValueName, "\n" )
		#fopen File FileName append
			#write( File, ValueName, " = ", Value, "\n" )
		#fclose File
	#end
#end

#macro WriteVectorsArrayInFile(Array, ValueName, FileName)
	#ifdef( Debug )
		#debug concat( "Opening ", FileName, " file to write ", ValueName, "\n" )
		#fopen File FileName append
			#for( It, 0, dimension_size( Array, 1 ) - 1 )
				#ifdef( Array[It] )
					#write( File, str( It, 0, 0 ), " = ", vstr(3, Array[It], " ,", 4, 8), " \n" )
				#end
			#end
		#fclose
	#end
#end

#macro DisplayValueInConsole(Value, ValueName)
	#debug concat( ValueName, " is equal to ", , str( Value, 0, 0 ), '\n' )
#end

#macro IncrementCounter(Value)
	#local Value = Value + 1;
#end